#include <iostream>

using namespace std;

int main ()
{
    string a;
    int b,x;
    cin>>a;
    b=a.length();
    int c=b;
    for(int i=0;i<b;i++)
    {

        c=b;
        while(i<c)
        {
            if(a[i]==a[c])
            {
                for(int j=i+1;j<c;j++)
                {
                    a[j]=a[i];
                }
                x+=c-i-1;
                i=c;
            }
            c--;
        }
    }
    cout<<x;
	return 0;


}